## visad.util
Class ExtensionFileFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          loci.formats.ExtensionFileFilter
              visad.util.ExtensionFileFilter

All Implemented Interfaces:
  Comparable, FileFilter

Deprecated. Use loci.formats.ExtensionFileFilter

public class ExtensionFileFilter
extends ExtensionFileFilter

A file filter based on file extensions, for use with a JFileChooser.

Constructor Summary
`ExtensionFileFilter(String[] extensions, String description)` Deprecated.
`ExtensionFileFilter(String extension, String description)` Deprecated.

Methods inherited from class loci.formats.ExtensionFileFilter
`accept, compareTo, getDescription, getExtension, getExtensions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtensionFileFilter

    public ExtensionFileFilter(String extension,
                               String description)

  Deprecated.

### ExtensionFileFilter

    public ExtensionFileFilter(String[] extensions,
                               String description)

  Deprecated.